import request from '@/utils/request'

// 查询首页轮播图列表
export function listRotation(query) {
  return request({
    url: '/gas/rotation/list',
    method: 'get',
    params: query
  })
}

// 查询首页轮播图详细
export function getRotation(id) {
  return request({
    url: '/gas/rotation/' + id,
    method: 'get'
  })
}

// 新增首页轮播图
export function addRotation(data) {
  return request({
    url: '/gas/rotation',
    method: 'post',
    data: data
  })
}

// 修改首页轮播图
export function updateRotation(data) {
  return request({
    url: '/gas/rotation',
    method: 'put',
    data: data
  })
}

// 删除首页轮播图
export function delRotation(id) {
  return request({
    url: '/gas/rotation/' + id,
    method: 'delete'
  })
}
